## qt6-virtualkeyboard 6.9.2+dfsg

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qtvirtualkeyboard.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtVirtualKeyboard
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt VirtualKeyboard Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core) # special case
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG
    OPTIONAL_COMPONENTS
        Qml
        QmlTools
        Quick
        Svg
        QuickTest
        QuickControls2
        Multimedia
)
qt_internal_project_setup()

if(NOT TARGET Qt::Quick)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Quick\" is not met.")
    return()
endif()
if(NOT TARGET Qt::Svg)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Svg\" is not met.")
    return()
endif()
if(WINRT)
    message(NOTICE "Skipping the build as the condition \"NOT WINRT\" is not met.")
    return()
endif()
qt_build_repo()

=== examples/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(virtualkeyboard)

qt_examples_build_end()

=== examples/virtualkeyboard/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(TARGET Qt::QuickControls2)
    qt_internal_add_example(basic)
endif()

=== src/components/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## VirtualKeyboard.Components Module:
#####################################################################

set(qml_files
    AlternativeKeys.qml
    BackspaceKey.qml
    BaseKey.qml
    ChangeLanguageKey.qml
    CharacterPreviewBubble.qml
    EnterKey.qml
    FillerKey.qml
    FlickKey.qml
    FunctionPopupList.qml
    HandwritingModeKey.qml
    HideKeyboardKey.qml
    InputModeKey.qml
    Key.qml
    Keyboard.qml
    KeyboardColumn.qml
    KeyboardLayout.qml
    KeyboardLayoutLoader.qml
    KeyboardRow.qml
    ModeKey.qml
    MultiSoundEffect.qml
    MultitapInputMethod.qml
    NumberKey.qml
    PopupList.qml
    SelectionControl.qml
    ShadowInputControl.qml
    ShiftKey.qml
    SpaceKey.qml
    SymbolModeKey.qml
    TraceInputArea.qml
    TraceInputKey.qml
    WordCandidatePopupList.qml
)

qt_internal_add_qml_module(qtvkbcomponentsplugin
    URI "QtQuick.VirtualKeyboard.Components"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2 1
    PLUGIN_TARGET qtvkbcomponentsplugin
    DEPENDENCIES
        QtQuick/auto
        QtQuick.Layouts/auto
        QtQuick.VirtualKeyboard.Settings/auto
    QML_FILES
        ${qml_files}
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
        Qt::VirtualKeyboard
        Qt::VirtualKeyboardSettings
    NO_GENERATE_CPP_EXPORTS
)

=== src/layouts/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(qtvkblayoutsplugin
    URI "QtQuick.VirtualKeyboard.Layouts"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2 1
    PLUGIN_TARGET qtvkblayoutsplugin
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_CPP_EXPORTS
)

set(LAYOUT_FILES
    fallback/dialpad.qml
    fallback/digits.qml
    fallback/main.qml
    fallback/numbers.qml
    fallback/symbols.qml
)
if (FEATURE_vkb_lang_en_GB)
    list(APPEND LAYOUT_FILES
        en_GB/dialpad.fallback
        en_GB/digits.fallback
        en_GB/main.fallback
        en_GB/numbers.fallback
        en_GB/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_en_US)
    list(APPEND LAYOUT_FILES
        en_US/dialpad.fallback
        en_US/digits.fallback
        en_US/main.fallback
        en_US/numbers.fallback
        en_US/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_ar_AR)
    list(APPEND LAYOUT_FILES
        ar_AR/dialpad.fallback
        ar_AR/digits.qml
        ar_AR/main.qml
        ar_AR/numbers.qml
        ar_AR/symbols.qml
    )
endif()
if(FEATURE_vkb_lang_bg_BG)
    list(APPEND LAYOUT_FILES
        bg_BG/dialpad.fallback
        bg_BG/digits.fallback
        bg_BG/main.qml
        bg_BG/numbers.fallback
        bg_BG/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_cs_CZ)
    list(APPEND LAYOUT_FILES
        cs_CZ/dialpad.fallback
        cs_CZ/digits.fallback
        cs_CZ/main.qml
        cs_CZ/numbers.fallback
        cs_CZ/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_da_DK)
    list(APPEND LAYOUT_FILES
        da_DK/dialpad.fallback
        da_DK/digits.fallback
        da_DK/main.qml
        da_DK/numbers.fallback
        da_DK/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_de_DE)
    list(APPEND LAYOUT_FILES
        de_DE/dialpad.fallback
        de_DE/digits.fallback
        de_DE/main.qml
        de_DE/numbers.fallback
        de_DE/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_el_GR)
    list(APPEND LAYOUT_FILES
        el_GR/dialpad.fallback
        el_GR/digits.fallback
        el_GR/main.qml
        el_GR/numbers.fallback
        el_GR/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_es_ES)
    list(APPEND LAYOUT_FILES
        es_ES/dialpad.fallback
        es_ES/digits.fallback
        es_ES/main.qml
        es_ES/numbers.fallback
        es_ES/symbols.qml
    )
endif()
if(FEATURE_vkb_lang_es_MX)
    list(APPEND LAYOUT_FILES
        es_MX/dialpad.fallback
        es_MX/digits.fallback
        es_MX/main.qml
        es_MX/numbers.fallback
        es_MX/symbols.qml
    )
endif()
if(FEATURE_vkb_lang_et_EE)
    list(APPEND LAYOUT_FILES
        et_EE/dialpad.fallback
        et_EE/digits.fallback
        et_EE/main.qml
        et_EE/numbers.fallback
        et_EE/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_fa_FA)
    list(APPEND LAYOUT_FILES
        fa_FA/dialpad.fallback
        fa_FA/digits.qml
        fa_FA/main.qml
        fa_FA/numbers.qml
        fa_FA/symbols.qml
    )
endif()
if(FEATURE_vkb_lang_fi_FI)
    list(APPEND LAYOUT_FILES
        fi_FI/dialpad.fallback
        fi_FI/digits.fallback
        fi_FI/main.qml
        fi_FI/numbers.fallback
        fi_FI/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_fr_CA)
    list(APPEND LAYOUT_FILES
        fr_CA/dialpad.fallback
        fr_CA/digits.fallback
        fr_CA/main.qml
        fr_CA/numbers.fallback
        fr_CA/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_fr_FR)
    list(APPEND LAYOUT_FILES
        fr_FR/dialpad.fallback
        fr_FR/digits.fallback
        fr_FR/main.qml
        fr_FR/numbers.fallback
        fr_FR/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_he_IL)
    list(APPEND LAYOUT_FILES
        he_IL/dialpad.fallback
        he_IL/digits.fallback
        he_IL/main.qml
        he_IL/numbers.fallback
        he_IL/symbols.qml
    )
endif()
if(FEATURE_vkb_lang_hi_IN)
    list(APPEND LAYOUT_FILES
        hi_IN/dialpad.fallback
        hi_IN/digits.fallback
        hi_IN/main.qml
        hi_IN/numbers.fallback
        hi_IN/symbols.qml
    )
endif()
if(FEATURE_vkb_lang_hr_HR)
    list(APPEND LAYOUT_FILES
        hr_HR/dialpad.fallback
        hr_HR/digits.fallback
        hr_HR/main.qml
        hr_HR/numbers.fallback
        hr_HR/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_hu_HU)
    list(APPEND LAYOUT_FILES
        hu_HU/dialpad.fallback
        hu_HU/digits.fallback
        hu_HU/main.qml
        hu_HU/numbers.fallback
        hu_HU/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_id_ID)
    list(APPEND LAYOUT_FILES
        id_ID/dialpad.fallback
        id_ID/digits.fallback
        id_ID/main.fallback
        id_ID/numbers.fallback
        id_ID/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_it_IT)
    list(APPEND LAYOUT_FILES
        it_IT/dialpad.fallback
        it_IT/digits.fallback
        it_IT/main.qml
        it_IT/numbers.fallback
        it_IT/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_nb_NO)
    list(APPEND LAYOUT_FILES
        nb_NO/dialpad.fallback
        nb_NO/digits.fallback
        nb_NO/main.qml
        nb_NO/numbers.fallback
        nb_NO/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_ms_MY)
    list(APPEND LAYOUT_FILES
        ms_MY/dialpad.fallback
        ms_MY/digits.fallback
        ms_MY/main.fallback
        ms_MY/numbers.fallback
        ms_MY/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_nl_NL)
    list(APPEND LAYOUT_FILES
        nl_NL/dialpad.fallback
        nl_NL/digits.fallback
        nl_NL/main.fallback
        nl_NL/numbers.fallback
        nl_NL/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_pl_PL)
    list(APPEND LAYOUT_FILES
        pl_PL/dialpad.fallback
        pl_PL/digits.fallback
        pl_PL/main.qml
        pl_PL/numbers.fallback
        pl_PL/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_pt_BR)
    list(APPEND LAYOUT_FILES
        pt_BR/dialpad.fallback
        pt_BR/digits.fallback
        pt_BR/main.qml
        pt_BR/numbers.fallback
        pt_BR/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_pt_PT)
    list(APPEND LAYOUT_FILES
        pt_PT/dialpad.fallback
        pt_PT/digits.fallback
        pt_PT/main.qml
        pt_PT/numbers.fallback
        pt_PT/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_ro_RO)
    list(APPEND LAYOUT_FILES
        ro_RO/dialpad.fallback
        ro_RO/digits.fallback
        ro_RO/main.qml
        ro_RO/numbers.fallback
        ro_RO/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_ru_RU)
    list(APPEND LAYOUT_FILES
        ru_RU/dialpad.fallback
        ru_RU/digits.fallback
        ru_RU/main.qml
        ru_RU/numbers.fallback
        ru_RU/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_sk_SK)
    list(APPEND LAYOUT_FILES
        sk_SK/dialpad.fallback
        sk_SK/digits.fallback
        sk_SK/main.qml
        sk_SK/numbers.fallback
        sk_SK/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_sl_SI)
    list(APPEND LAYOUT_FILES
        sl_SI/dialpad.fallback
        sl_SI/digits.fallback
        sl_SI/main.qml
        sl_SI/numbers.fallback
        sl_SI/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_sq_AL)
    list(APPEND LAYOUT_FILES
        sq_AL/dialpad.fallback
        sq_AL/digits.fallback
        sq_AL/main.qml
        sq_AL/numbers.fallback
        sq_AL/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_sr_SP)
    list(APPEND LAYOUT_FILES
        sr_SP/dialpad.fallback
        sr_SP/digits.fallback
        sr_SP/main.qml
        sr_SP/numbers.fallback
        sr_SP/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_sv_SE)
    list(APPEND LAYOUT_FILES
        sv_SE/dialpad.fallback
        sv_SE/digits.fallback
        sv_SE/main.qml
        sv_SE/numbers.fallback
        sv_SE/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_tr_TR)
    list(APPEND LAYOUT_FILES
        tr_TR/dialpad.fallback
        tr_TR/digits.fallback
        tr_TR/main.qml
        tr_TR/numbers.fallback
        tr_TR/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_uk_UA)
    list(APPEND LAYOUT_FILES
        uk_UA/dialpad.fallback
        uk_UA/digits.fallback
        uk_UA/main.qml
        uk_UA/numbers.fallback
        uk_UA/symbols.fallback
    )
endif()
if(FEATURE_vkb_lang_vi_VN)
    list(APPEND LAYOUT_FILES
        vi_VN/dialpad.fallback
        vi_VN/digits.fallback
        vi_VN/main.qml
        vi_VN/numbers.fallback
        vi_VN/symbols.qml
    )
endif()

if(QT_FEATURE_vkb_layouts)
    qt_internal_add_resource(qtvkblayoutsplugin "qmake_virtualkeyboard_layouts"
        PREFIX
            "${VKB_LAYOUTS_PREFIX}"
        FILES
            ${LAYOUT_FILES}
    )
endif()

=== src/styles/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

set(styles_imports)
if(NOT QT_FEATURE_vkb_no_builtin_style)
    add_subdirectory(builtin)
    list(APPEND styles_imports QtQuick.VirtualKeyboard.Styles.Builtin/auto)
endif()

#####################################################################
## QtQuick.VirtualKeyboard.Styles
#####################################################################

qt_internal_add_qml_module(qtvkbstylesplugin
    URI "QtQuick.VirtualKeyboard.Styles"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2 1
    PLUGIN_TARGET qtvkbstylesplugin
    CLASS_NAME "QtQuickVirtualKeyboardStylesPlugin"
    # Note: The plugin source is defined manually because it uses an
    #       image provider. Once the image provider doesn't need an
    #       engine anymore, we can auto-generate the plugin.
    NO_GENERATE_PLUGIN_SOURCE
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick/auto
    IMPORTS
        ${styles_imports}
    SOURCES
        qtquickvirtualkeyboardstylesplugin.cpp qtquickvirtualkeyboardstylesplugin.h
        svgimageprovider.cpp svgimageprovider.h
    QML_FILES
        KeyboardStyle.qml
        KeyIcon.qml
        KeyPanel.qml
        SelectionListItem.qml
        TraceInputKeyPanel.qml
        TraceCanvas.qml
        TraceUtils.js
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
        Qt::Svg
    NO_GENERATE_CPP_EXPORTS
)

=== src/virtualkeyboard/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QtQuick.VirtualKeyboard
#####################################################################

set(VKB_INSTALL_DATA "${QT_INSTALL_DIR}/qtvirtualkeyboard" CACHE STRING "" FORCE)

qt_internal_add_qml_module(VirtualKeyboard
    URI "QtQuick.VirtualKeyboard.Core"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2 1
    SOURCES
        abstractinputpanel.cpp abstractinputpanel_p.h
        appinputpanel.cpp appinputpanel_p.h
        appinputpanel_p_p.h
        desktopinputselectioncontrol.cpp desktopinputselectioncontrol_p.h
        enterkeyaction.cpp enterkeyaction_p.h
        enterkeyactionattachedtype.cpp enterkeyactionattachedtype_p.h
        fallbackinputmethod.cpp fallbackinputmethod_p.h
        gesturerecognizer.cpp gesturerecognizer_p.h
        handwritinggesturerecognizer.cpp handwritinggesturerecognizer_p.h
        inputmethod.cpp inputmethod_p.h
        inputselectionhandle.cpp inputselectionhandle_p.h
        virtualkeyboard.cpp virtualkeyboard_p.h
        virtualkeyboardattachedtype.cpp virtualkeyboardattachedtype_p.h
        plaininputmethod.cpp plaininputmethod_p.h
        platforminputcontext.cpp platforminputcontext_p.h
        qvirtualkeyboard_global.h qvirtualkeyboard_global_p.h
        qvirtualkeyboard_namespace.h
        qvirtualkeyboardabstractinputmethod.cpp qvirtualkeyboardabstractinputmethod.h
        qvirtualkeyboardabstractinputmethod_p.cpp qvirtualkeyboardabstractinputmethod_p.h
        qvirtualkeyboarddictionary.cpp qvirtualkeyboarddictionary.h
        qvirtualkeyboarddictionarymanager.cpp qvirtualkeyboarddictionarymanager.h
        qvirtualkeyboardfeatures_namespace_p.h
        qvirtualkeyboardinputcontext.cpp qvirtualkeyboardinputcontext.h qvirtualkeyboardinputcontext_p.cpp qvirtualkeyboardinputcontext_p.h
        qvirtualkeyboardinputengine.cpp qvirtualkeyboardinputengine.h
        qvirtualkeyboardnamespace_p.h
        qvirtualkeyboardobserver.cpp qvirtualkeyboardobserver.h
        qvirtualkeyboardselectionlistmodel.cpp qvirtualkeyboardselectionlistmodel.h
        qvirtualkeyboardtrace.cpp qvirtualkeyboardtrace.h
        settings.cpp settings_p.h
        shadowinputcontext.cpp shadowinputcontext_p.h
        shifthandler.cpp shifthandler_p.h
        virtualkeyboarddebug_p.h
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    NO_UNITY_BUILD_SOURCES
        # "using namespace" causes "reference to 'QtPrivateLogging' is ambiguous"
        platforminputcontext.cpp
        qvirtualkeyboardinputcontext_p.cpp

    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::GuiPrivate
)

qt_internal_extend_target(VirtualKeyboard CONDITION QT_FEATURE_vkb_desktop
    SOURCES
        desktopinputpanel.cpp desktopinputpanel_p.h
        inputview.cpp inputview_p.h
    DEFINES
        QT_VIRTUALKEYBOARD_DESKTOP
)

qt_internal_extend_target(VirtualKeyboard CONDITION QT_FEATURE_vkb_record_trace_input
    SOURCES
        unipentrace.cpp unipentrace_p.h
    PUBLIC_DEFINES
        QT_VIRTUALKEYBOARD_RECORD_TRACE_INPUT
)

qt_internal_extend_target(VirtualKeyboard CONDITION QT_FEATURE_vkb_arrow_keynavigation
    DEFINES
        QT_VIRTUALKEYBOARD_ARROW_KEY_NAVIGATION
)

qt_internal_add_qml_module(VirtualKeyboardQml
    URI "QtQuick.VirtualKeyboard"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2 1
    PLUGIN_TARGET qtvkbplugin
    DEPENDENCIES
        QtQuick/auto
        QtQuick.Window/auto
        QtQuick.Layouts/auto
        Qt.labs.folderlistmodel/auto
        QtQuick.VirtualKeyboard.Styles/auto
        QtQuick.VirtualKeyboard.Plugins/auto
    IMPORTS
        QtQuick.VirtualKeyboard.Core/auto
        QtQuick.VirtualKeyboard.Layouts/auto
        QtQuick.VirtualKeyboard.Components/auto ### Qt7: Move to dependencies, see QTBUG-102227
    QML_FILES
        HandwritingInputPanel.qml
        InputPanel.qml
        EnterKey.qml ### Qt7: Remove, see QTBUG-102227
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
        Qt::VirtualKeyboard
)

qt_internal_add_docs(VirtualKeyboard
    doc/qtvirtualkeyboard.qdocconf
)

=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from auto.pro.

if(NOT ANDROID) # QTBUG-102756
add_subdirectory(inputpanel)
endif()
add_subdirectory(inputpanelcontrols)
add_subdirectory(styles)
add_subdirectory(layoutfilesystem)
add_subdirectory(layoutresources)
add_subdirectory(dictionarymanager)
add_subdirectory(shadowinput)
add_subdirectory(virtualkeyboardattached)

=== src/plugins/cerence/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

set(cerence_imports)

add_subdirectory(cerencecommon)
if(QT_FEATURE_cerence_hwr)
    add_subdirectory(hwr)
    list(APPEND cerence_imports QtQuick.VirtualKeyboard.Plugins.Cerence.HWR/auto)
endif()
if(QT_FEATURE_cerence_xt9)
    add_subdirectory(xt9)
    list(APPEND cerence_imports QtQuick.VirtualKeyboard.Plugins.Cerence.XT9/auto)
endif()

qt_internal_add_qml_module(qtvkbcerenceplugin
    URI "QtQuick.VirtualKeyboard.Plugins.Cerence"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    PLUGIN_TARGET qtvkbcerenceplugin
    IMPORTS
        ${cerence_imports}
    NO_GENERATE_CPP_EXPORTS
)

=== src/plugins/hangul/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QtVirtualKeyboardHangulPlugin Plugin:
#####################################################################

qt_internal_add_qml_module(qtvkbhangulplugin
    URI "QtQuick.VirtualKeyboard.Plugins.Hangul"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    PLUGIN_TARGET qtvkbhangulplugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick.VirtualKeyboard.Core/auto
    SOURCES
        hangul.cpp hangul_p.h
        hangulinputmethod.cpp hangulinputmethod_p.h
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboard
    NO_GENERATE_CPP_EXPORTS
)

# Resources:
set(qmake_virtualkeyboard_hangul_layouts_resource_files
    "${VKB_LAYOUTS_BASE}/ko_KR/dialpad.fallback"
    "${VKB_LAYOUTS_BASE}/ko_KR/digits.fallback"
    "${VKB_LAYOUTS_BASE}/ko_KR/main.qml"
    "${VKB_LAYOUTS_BASE}/ko_KR/numbers.fallback"
    "${VKB_LAYOUTS_BASE}/ko_KR/symbols.qml"
)

qt_internal_add_resource(qtvkbhangulplugin "qmake_virtualkeyboard_hangul_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${VKB_LAYOUTS_BASE}"
    FILES
        ${qmake_virtualkeyboard_hangul_layouts_resource_files}
)

=== src/plugins/myscript/CMakeLists.txt ===
add_subdirectory(plugin)

=== src/plugins/openwnn/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(3rdparty/openwnn)

#####################################################################
## QtVirtualKeyboardOpenWnnPlugin Plugin:
#####################################################################

qt_internal_add_qml_module(qtvkbopenwnnplugin
    URI "QtQuick.VirtualKeyboard.Plugins.OpenWNN"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    PLUGIN_TARGET qtvkbopenwnnplugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick.VirtualKeyboard.Core/auto
    SOURCES
        openwnninputmethod.cpp openwnninputmethod_p.h
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboard
        Qt::BundledOpenwnn
    NO_GENERATE_CPP_EXPORTS
)

# Resources:
set(qmake_virtualkeyboard_openwnn_layouts_resource_files
    "${VKB_LAYOUTS_BASE}/ja_JP/dialpad.fallback"
    "${VKB_LAYOUTS_BASE}/ja_JP/digits.fallback"
    "${VKB_LAYOUTS_BASE}/ja_JP/main.qml"
    "${VKB_LAYOUTS_BASE}/ja_JP/numbers.fallback"
    "${VKB_LAYOUTS_BASE}/ja_JP/symbols.qml"
)

qt_internal_add_resource(qtvkbopenwnnplugin "qmake_virtualkeyboard_openwnn_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${VKB_LAYOUTS_BASE}"
    FILES
        ${qmake_virtualkeyboard_openwnn_layouts_resource_files}
)

=== debian/changelog ===
qt6-virtualkeyboard (6.9.2+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sun, 02 Nov 2025 19:34:56 +0100

qt6-virtualkeyboard (6.9.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:19:06 +0200

qt6-virtualkeyboard (6.9.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Sep 2025 19:01:07 +0200

=== debian/control ===
Source: qt6-virtualkeyboard
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               hunspell-en-gb <!nocheck>,
               libgl-dev,
               libhunspell-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xfixes0-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-base-private-dev (>= 6.9.2+dfsg~),
               qt6-declarative-dev (>= 6.9.2+dfsg~),
               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
               qt6-multimedia-dev (>= 6.9.2~),
               qt6-svg-dev (>= 6.9.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard.git

Package: libqt6virtualkeyboard6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Virtual Keyboard library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard library.

Package: qml6-module-qtquick-virtualkeyboard
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6hunspellinputmethod6,
Replaces: libqt6hunspellinputmethod6,
Description: Qt 6 Virtual Keyboard QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the QML module for thw Qt Virtual Keyboard.

Package: qt6-virtualkeyboard-plugin
Architecture: any
Multi-Arch: same
Depends: qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Virtual Keyboard
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard plugin.

Package: qt6-virtualkeyboard-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6virtualkeyboard6 (= ${binary:Version}),
         qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
Replaces: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
Description: Qt 6 Virtual Keyboard - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the development files needed to implement input
 methods for virtual keyboards.

Package: qt6-virtualkeyboard-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 virtual keyboard documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 virtual keyboard.

Package: qt6-virtualkeyboard-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 virtual keyboard HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 virtual keyboard.

Package: qt6-virtualkeyboard-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 virtual keyboard examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt virtual keyboard submodule.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

# enable ccache with corresponding build-profile
ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
	extra_cmake_args += -DQT_USE_CCACHE=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_makeshlibs:
	dh_makeshlibs -XlibQt6VirtualKeyboardSettings

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtvirtualkeyboard-everywhere-src-(.*)\.tar\.xz

## qt6-virtualkeyboard 6.9.3

=== debian/changelog ===
qt6-virtualkeyboard (6.9.3-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 01:08:24 +0000

qt6-virtualkeyboard (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

=== debian/control ===
Source: qt6-virtualkeyboard
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               hunspell-en-gb <!nocheck>,
               libgl-dev,
               libhunspell-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xfixes0-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               qt6-multimedia-dev (>= 6.9.3~),
               qt6-svg-dev (>= 6.9.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-virtualkeyboard.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-virtualkeyboard
Maintainer: Neon CI <neon@kde.org>

Package: qt6-virtualkeyboard
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base,
         qt6-declarative,
         qt6-multimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt6hunspellinputmethod6,
          libqt6virtualkeyboard6,
          qml6-module-qtquick-virtualkeyboard,
          qt6-virtualkeyboard-plugin
Description: Qt 6 Virtual Keyboard library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard library.

Package: qt6-virtualkeyboard-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-svg-dev,
         qt6-virtualkeyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~)
Replaces: libqt6virtualkeyboard6-dev, qt6-virtualkeyboard-examples
Description: Qt 6 Virtual Keyboard - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the development files needed to implement input
 methods for virtual keyboards.

Package: qt6-virtualkeyboard-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc,
         qt6-virtualkeyboard-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-virtualkeyboard-doc-html
Description: Qt 6 Virtual Keyboard - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the documentation files used to help implement input
 methods for virtual keyboards.

Package: libqt6virtualkeyboard6
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6virtualkeyboardsettings6
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6hunspellinputmethod6
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-virtualkeyboard
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-virtualkeyboard-plugin
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-virtualkeyboard-doc-html
Architecture: all
Depends: qt6-virtualkeyboard-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-virtualkeyboard-examples
Architecture: all
Depends: qt6-virtualkeyboard-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-virtualkeyboard 6.10.0

=== debian/changelog ===
qt6-virtualkeyboard (6.10.0-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 09:33:18 +0000

qt6-virtualkeyboard (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:16 +1000

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,14 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~),
-               qt6-multimedia-dev (>= 6.9.3~),
-               qt6-svg-dev (>= 6.9.3~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-multimedia-dev (>= 6.10.0~),
+               qt6-svg-dev (>= 6.10.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
-                     qt6-tools (>= 6.9~) <!nodoc>
+Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
+                     qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif


%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
		-DQT_UNITY_BUILD=ON \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-virtualkeyboard 6.10.1

=== debian/changelog ===
qt6-virtualkeyboard (6.10.1-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 07:31:32 +0000

qt6-virtualkeyboard (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:05 +1000

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,10 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-multimedia-dev (>= 6.10.0~),
-               qt6-svg-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-multimedia-dev (>= 6.10.1~),
+               qt6-svg-dev (>= 6.10.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,6 @@
 		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
-		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtvirtualkeyboard-everywhere-src-([\d\.]+\d).tar.xz

## qt6-virtualkeyboard 6.10.2+dfsg

=== src/virtualkeyboard/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
         fallbackinputmethod.cpp fallbackinputmethod_p.h
         gesturerecognizer.cpp gesturerecognizer_p.h
         handwritinggesturerecognizer.cpp handwritinggesturerecognizer_p.h
-        inputmethod.cpp inputmethod_p.h
+        inputmethod.cpp inputmethod_p.h inputmethod_p_p.h
         inputselectionhandle.cpp inputselectionhandle_p.h
         virtualkeyboard.cpp virtualkeyboard_p.h
         virtualkeyboardattachedtype.cpp virtualkeyboardattachedtype_p.h
@@ -40,6 +40,7 @@
         qvirtualkeyboardobserver.cpp qvirtualkeyboardobserver.h
         qvirtualkeyboardselectionlistmodel.cpp qvirtualkeyboardselectionlistmodel.h
         qvirtualkeyboardtrace.cpp qvirtualkeyboardtrace.h
+        recursivemethodguard_p.h
         settings.cpp settings_p.h
         shadowinputcontext.cpp shadowinputcontext_p.h
         shifthandler.cpp shifthandler_p.h

=== tests/auto/qmlinputmethod/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_test(tst_qmlinputmethod
    SOURCES
        tst_qmlinputmethod.cpp
    LIBRARIES
        Qt::Gui
        Qt::Qml
        Qt::Quick
    TESTDATA
        "${CMAKE_CURRENT_LIST_DIR}/data/inputpanel.qml"
    BUILTIN_TESTDATA
)

qt_internal_add_resource(tst_qmlinputmethod "tst_qmlinputmethod_layouts"
    PREFIX
        /qt-project.org/imports/tests/QtQuick/VirtualKeyboard/Layouts
    BASE
        "${CMAKE_CURRENT_LIST_DIR}/data/layouts/"
    FILES
        "${CMAKE_CURRENT_LIST_DIR}/data/layouts/en_GB/main.qml"
        "${CMAKE_CURRENT_LIST_DIR}/data/layouts/en_GB/numbers.qml"
)

=== debian/changelog ===
qt6-virtualkeyboard (6.10.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Feb 2026 21:20:46 +0100

=== debian/control ===
Source: qt6-virtualkeyboard
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               hunspell-en-gb <!nocheck>,
               libgl-dev,
               libhunspell-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xfixes0-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-multimedia-dev (>= 6.10.2~),
               qt6-svg-dev (>= 6.10.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard.git

Package: libqt6virtualkeyboard6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Virtual Keyboard library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard library.

Package: qml6-module-qtquick-virtualkeyboard
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Breaks: libqt6hunspellinputmethod6,
Replaces: libqt6hunspellinputmethod6,
Description: Qt 6 Virtual Keyboard QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the QML module for thw Qt Virtual Keyboard.

Package: qt6-virtualkeyboard-plugin
Architecture: any
Multi-Arch: same
Depends: qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Virtual Keyboard
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard plugin.

Package: qt6-virtualkeyboard-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6virtualkeyboard6 (= ${binary:Version}),
         qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
Replaces: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
Description: Qt 6 Virtual Keyboard - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the development files needed to implement input
 methods for virtual keyboards.

Package: qt6-virtualkeyboard-doc
Architecture: all
Section: doc
Depends: qt6-base-doc,
         ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 virtual keyboard documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 virtual keyboard.

Package: qt6-virtualkeyboard-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html,
         ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 virtual keyboard HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 virtual keyboard.

Package: qt6-virtualkeyboard-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 virtual keyboard examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt virtual keyboard submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtvirtualkeyboard-everywhere-src-(.*)\.tar\.xz
Dversionmangle: s/\+dfsg//
Repacksuffix: +dfsg
Uversionmangle: s/-/~/
